Subject: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Sean Whitton <[email-masked]>
Date: Thu, 08 Aug 2024 08:32:26 +0800

Hello,

On Wed 07 Aug 2024 at 04:25pm +02, Kévin Le Gouguec wrote:

> About patch #2, CC'ing Sean Whitton for perspective on
> vc-git--cmds-in-progress: I was puzzled by the function supporting many
> commands (rebase, am, merge, bisect), whereas AFAICT its sole user only
> heeds 'bisect & 'rebase.  Wondering if I've missed other in-tree uses,
> or if we should add headers for 'am and 'merge, "while in there".

I have some WIP which uses this function for some other purposes.
It's a pretty cleanly identifiable piece of functionality so I would
like to keep it separate.

I would be happy if you were to add detecting some other operations
there, for sure, if you are confident in your detection methods.

-- 
Sean Whitton